Skip to content

Search these docs, or ask Revo a question — answers link the pages they came from.

Returns the status and trace of a plan run


GET
/api/v1/{tenantId}/schedules/plan-runs/{planRunId}

Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.

tenantId
required
string
planRunId
required
string

OK

object
planRunId
string
nullable
scheduleId
string
nullable
status
string
Allowed values: Pending Running Completed Deadlocked Failed Aborted
startedUtc
string format: date-time
finishedUtc
string format: date-time
nullable
makespanSeconds
number format: double
nullable
warnings
Array<string>
nullable
errorMessage
string
nullable
trace
Array<object>
nullable
object
scheduleThreadId
string
nullable
deviceName
string
nullable
operationName
string
nullable
eventType
string
Allowed values: Start End
kind
string
Allowed values: DeviceOperation TransferPhase
virtualTime
string format: date-time
sourceLocationName
string
nullable
destinationLocationName
string
nullable
objectName
string
nullable

Bad Request

object
message
string
nullable
code
string
nullable

Too Many Requests

object
message
string
nullable
code
string
nullable

Service Unavailable

object
message
string
nullable
code
string
nullable

Gateway Timeout

object
message
string
nullable
code
string
nullable